<?php
$contentData = false;
if ($section) {
    $contentData = json_decode($section->content_data, true);
}
if (!$contentData) {
    $contentData = [];
}
$formID = rand(0, 100000);

?>
<form processed method="POST" action="/process_form_submit" onsubmit="return false">
    <?php if($section): ?>
    <input type="hidden" name="section_uid" value="<?= $section->uid?>">
    <?php else: ?>
    <input type="hidden" name="note_uid" value="<?= $note->uid?>">
    <input type="hidden" name="section_template_uid" value="<?= $sectionTemplate->uid ?>">
    <?php endif; ?>

    <div class="my-3 node node-level-0">
        <div class="d-flex align-items-end mb-3">
            <p class="text-secondary mr-3 my-0">Moderate physical activity is any activity that is <u><i>somewhat hard</i></u>
                and makes you feel like you do when you walk <i><u>fast</u></i> (3– 4 mph).</p>
            {{--<button class="btn btn-sm btn-primary ml-auto">Done</button>--}}
            <button type="button" class="btn btn-sm btn-primary ml-auto" onclick="return fastReload()">Done</button>
        </div>

        <label class="mb-3">Select the activities you did during the last 7 days at a MODERATE LEVEL <u>nonstop for at
                least 10
                minutes</u>:</label>
        <div class="row">
            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__walking_fast_with_a_purpose'] ? 'checked' : '' }}
                           name="last_7_days__walking_fast_with_a_purpose" onchange="onGemVChange_{{ $formID }}(this)">
                    Walking fast, with a purpose
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__aerobics_low_impact'] ? 'checked' : '' }}
                           name="last_7_days__aerobics_low_impact" onchange="onGemVChange_{{ $formID }}(this)">
                    Aerobics, low impact
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__baseball_softball'] ? 'checked' : '' }}
                           name="last_7_days__baseball_softball" onchange="onGemVChange_{{ $formID }}(this)">
                    Baseball, softball
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__bicycling_less_than_12_mph_'] ? 'checked' : '' }}
                           name="last_7_days__bicycling_less_than_12_mph_" onchange="onGemVChange_{{ $formID }}(this)">
                    Bicycling (less than 12 mph)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__bowling'] ? 'checked' : '' }}
                           name="last_7_days__bowling" onchange="onGemVChange_{{ $formID }}(this)">
                    Bowling
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__calisthenics_light'] ? 'checked' : '' }}
                           name="last_7_days__calisthenics_light" onchange="onGemVChange_{{ $formID }}(this)">
                    Calisthenics, light
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__carpentry'] ? 'checked' : '' }}
                           name="last_7_days__carpentry" onchange="onGemVChange_{{ $formID }}(this)">
                    Carpentry
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__dancing'] ? 'checked' : '' }}
                           name="last_7_days__dancing" onchange="onGemVChange_{{ $formID }}(this)">
                    Dancing
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__fishing_standing'] ? 'checked' : '' }}
                           name="last_7_days__fishing_standing" onchange="onGemVChange_{{ $formID }}(this)">
                    Fishing, standing
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__frisbee'] ? 'checked' : '' }}
                           name="last_7_days__frisbee" onchange="onGemVChange_{{ $formID }}(this)">
                    Frisbee
                </label>
            </div>
            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__walking_downstairs'] ? 'checked' : '' }}
                           name="last_7_days__walking_downstairs" onchange="onGemVChange_{{ $formID }}(this)">
                    Walking downstairs
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__gardening_planting_raking_weeding'] ? 'checked' : '' }}
                           name="last_7_days__gardening_planting_raking_weeding"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Gardening: planting, raking, weeding
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__golf'] ? 'checked' : '' }}
                           name="last_7_days__golf" onchange="onGemVChange_{{ $formID }}(this)">
                    Golf
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__gymnastics'] ? 'checked' : '' }}
                           name="last_7_days__gymnastics" onchange="onGemVChange_{{ $formID }}(this)">
                    Gymnastics
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__horseback_riding'] ? 'checked' : '' }}
                           name="last_7_days__horseback_riding" onchange="onGemVChange_{{ $formID }}(this)">
                    Horseback riding
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__housework_mopping_sweeping_vacuuming'] ? 'checked' : '' }}
                           name="last_7_days__housework_mopping_sweeping_vacuuming"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Housework: mopping, sweeping, vacuuming
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__lifting_or_carrying_moderate_loads_5_to_15_lb_'] ? 'checked' : '' }}
                           name="last_7_days__lifting_or_carrying_moderate_loads_5_to_15_lb_"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Lifting or carrying moderate loads (5 to 15 lb)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__mowing_lawn_power_mower'] ? 'checked' : '' }}
                           name="last_7_days__mowing_lawn_power_mower" onchange="onGemVChange_{{ $formID }}(this)">
                    Mowing lawn, power mower
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__ping_pong'] ? 'checked' : '' }}
                           name="last_7_days__ping_pong" onchange="onGemVChange_{{ $formID }}(this)">
                    Ping-pong
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__playing_with_children_kneeling_lifting'] ? 'checked' : '' }}
                           name="last_7_days__playing_with_children_kneeling_lifting"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Playing with children: kneeling, lifting
                </label>
            </div>
            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__rowing_sailing'] ? 'checked' : '' }}
                           name="last_7_days__rowing_sailing" onchange="onGemVChange_{{ $formID }}(this)">
                    Rowing, sailing
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__skateboarding'] ? 'checked' : '' }}
                           name="last_7_days__skateboarding" onchange="onGemVChange_{{ $formID }}(this)">
                    Skateboarding
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__tai_chi_qigong'] ? 'checked' : '' }}
                           name="last_7_days__tai_chi_qigong" onchange="onGemVChange_{{ $formID }}(this)">
                    Tai chi, qigong
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__vigorous_stretching'] ? 'checked' : '' }}
                           name="last_7_days__vigorous_stretching" onchange="onGemVChange_{{ $formID }}(this)">
                    Vigorous stretching
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__volleyball'] ? 'checked' : '' }}
                           name="last_7_days__volleyball" onchange="onGemVChange_{{ $formID }}(this)">
                    Volleyball
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__yoga'] ? 'checked' : '' }}
                           name="last_7_days__yoga" onchange="onGemVChange_{{ $formID }}(this)">
                    Yoga
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__washing_car'] ? 'checked' : '' }}
                           name="last_7_days__washing_car" onchange="onGemVChange_{{ $formID }}(this)">
                    Washing car
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__water_aerobics'] ? 'checked' : '' }}
                           name="last_7_days__water_aerobics" onchange="onGemVChange_{{ $formID }}(this)">
                    Water aerobics
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__ping_weight_lifting'] ? 'checked' : '' }}
                           name="last_7_days__ping_weight_lifting" onchange="onGemVChange_{{ $formID }}(this)">
                    Weight lifting
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__working_on_car'] ? 'checked' : '' }}
                           name="last_7_days__working_on_car" onchange="onGemVChange_{{ $formID }}(this)">
                    Working on car
                </label>
            </div>
        </div>
    </div>

    <div class="my-3 node node-level-0 d-flex align-items-center">
        <label>During the last 7 days, on how many days did you do a Moderate physical activity Days <u>nonstop for at
                least 10 minutes at a time</u>?</label>
        <div class="ml-3 d-inline-flex align-items-center">
            <input onchange="onGemVChange_{{ $formID }}(this)"
                   value="{{ @$contentData['last_7_days__moderate_days'] }}"
                   name="last_7_days__moderate_days" type="number" class="form-control form-control-sm" placeholder="">
            <span class="ml-2 text-secondary flex-grow-1">Days</span>
        </div>
    </div>

    <div class="my-3 node node-level-0 d-flex align-items-center">
        <label>On those days, how much time did you spend <u>on average</u> doing Moderate physical
            activities?</label>
        <div class="ml-3 d-inline-flex align-items-center">
            <input onchange="onGemVChange_{{ $formID }}(this)"
                   value="{{ @$contentData['last_7_days__moderate_mins_per_day'] }}"
                   name="last_7_days__moderate_mins_per_day" type="number" class="form-control form-control-sm"
                   placeholder="">
            <span class="ml-2 text-secondary flex-grow-1">Minutes/Day</span>
        </div>
    </div>

    <hr>

    <div class="my-3 node node-level-0">
        <p class="text-secondary">Vigorous physical activity is any activity that is <i>hard</i>
            and makes you feel like you do when you run or jog.</p>
        <label class="mb-3">Select the activities you did during the last 7 days at a VIGOROUS LEVEL <u>at least 10
                minutes at a time
                without stopping</u>:</label>
        <div class="row">
            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__jogging_running'] ? 'checked' : '' }}
                           name="last_7_days__jogging_running" onchange="onGemVChange_{{ $formID }}(this)">
                    Jogging, running
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__aerobics_high_impact_jazzercise'] ? 'checked' : '' }}
                           name="last_7_days__aerobics_high_impact_jazzercise"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Aerobics, high impact (Jazzercise)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__basketball'] ? 'checked' : '' }}
                           name="last_7_days__basketball" onchange="onGemVChange_{{ $formID }}(this)">
                    Basketball
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__bicycling_fast_more_than_12_mph'] ? 'checked' : '' }}
                           name="last_7_days__bicycling_fast_more_than_12_mph"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    Bicycling, fast (more than 12 mph)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__calisthenics_vigorous'] ? 'checked' : '' }}
                           name="last_7_days__calisthenics_vigorous" onchange="onGemVChange_{{ $formID }}(this)">
                    Calisthenics, vigorous
                </label>
            </div>

            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__walking_upstairs'] ? 'checked' : '' }}
                           name="last_7_days__walking_upstairs" onchange="onGemVChange_{{ $formID }}(this)">
                    Walking upstairs
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__carrying_heavy_loads'] ? 'checked' : '' }}
                           name="last_7_days__carrying_heavy_loads" onchange="onGemVChange_{{ $formID }}(this)">
                    Carrying heavy loads
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__jumping_rope'] ? 'checked' : '' }}
                           name="last_7_days__jumping_rope" onchange="onGemVChange_{{ $formID }}(this)">
                    Jumping rope
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__judo_karate_kickboxing'] ? 'checked' : '' }}
                           name="last_7_days__judo_karate_kickboxing" onchange="onGemVChange_{{ $formID }}(this)">
                    Judo, karate, kickboxing
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__roller_skating_rollerblading'] ? 'checked' : '' }}
                           name="last_7_days__roller_skating_rollerblading" onchange="onGemVChange_{{ $formID }}(this)">
                    Roller skating, rollerblading
                </label>
            </div>

            <div class="col-4">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__soccer'] ? 'checked' : '' }}
                           name="last_7_days__soccer" onchange="onGemVChange_{{ $formID }}(this)">
                    Soccer
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__ski_machine_nordic_track'] ? 'checked' : '' }}
                           name="last_7_days__ski_machine_nordic_track" onchange="onGemVChange_{{ $formID }}(this)">
                    Ski machine (Nordic Track)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__stair_climbing_stairmaster'] ? 'checked' : '' }}
                           name="last_7_days__stair_climbing_stairmaster" onchange="onGemVChange_{{ $formID }}(this)">
                    Stair climbing (StairMaster)
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__swimming_laps'] ? 'checked' : '' }}
                           name="last_7_days__swimming_laps" onchange="onGemVChange_{{ $formID }}(this)">
                    Swimming laps
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['last_7_days__tennis_racquetball'] ? 'checked' : '' }}
                           name="last_7_days__tennis_racquetball" onchange="onGemVChange_{{ $formID }}(this)">
                    Tennis, racquetball
                </label>
            </div>

        </div>
    </div>

    <div class="my-3 node node-level-0 d-flex align-items-center">
        <label>During the last 7 days, on how many days did you do a Vigorous physical activity Days<u>nonstop for at
                least 10 minutes at a time</u>?</label>
        <div class="ml-3 d-inline-flex align-items-center">
            <input onchange="onGemVChange_{{ $formID }}(this)"
                   value="{{ @$contentData['last_7_days__vigorous_days'] }}"
                   name="last_7_days__vigorous_days" type="number" class="form-control form-control-sm" placeholder="">
            <span class="ml-2 text-secondary flex-grow-1">Days</span>
        </div>
    </div>

    <div class="my-3 node node-level-0 d-flex align-items-center">
        <label>On those days, how much time did you spend <u>on average</u> doing Vigorous physical activities?</label>
        <div class="ml-3 d-inline-flex align-items-center">
            <input onchange="onGemVChange_{{ $formID }}(this)"
                   value="{{ @$contentData['last_7_days__vigorous_mins_per_day'] }}"
                   name="last_7_days__vigorous_mins_per_day" type="number" class="form-control form-control-sm"
                   placeholder="">
            <span class="ml-2 text-secondary flex-grow-1">Minutes/Day</span>
        </div>
    </div>

    <hr>

    <div class="my-3 node node-level-0">
        <label>Compared with your Usual Physical Activity over the last 3 months, was the last seven days’
            activity:</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['last_7_days__activity_comparison'] === 'More' ? 'checked' : '' }} name="last_7_days__activity_comparison"
                       type="radio" value="More" class="mr-1">
                <span>More</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['last_7_days__activity_comparison'] === 'Less' ? 'checked' : '' }} name="last_7_days__activity_comparison"
                       type="radio" value="Less" class="mr-1">
                <span>Less</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['last_7_days__activity_comparison'] === 'About the same' ? 'checked' : '' }} name="last_7_days__activity_comparison"
                       type="radio" value="About the same" class="mr-1">
                <span>About the same</span>
            </label>
        </div>
    </div>

    <hr>

    <p class="font-weight-bold">Medical Problems</p>

    <div class="my-3 node node-level-0">
        <label>1. Has your doctor ever said that you have a heart condition and that you should only do physical
            activity recommended by a doctor?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_heart_condition'] === 'Yes' ? 'checked' : '' }} name="mp_heart_condition"
                       type="radio" value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_heart_condition'] === 'No' ? 'checked' : '' }} name="mp_heart_condition"
                       type="radio" value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>2. Do you feel pain in your chest when you do physical activity?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_chest_pain_with_physical_activity'] === 'Yes' ? 'checked' : '' }} name="mp_chest_pain_with_physical_activity"
                       type="radio" value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_chest_pain_with_physical_activity'] === 'No' ? 'checked' : '' }} name="mp_chest_pain_with_physical_activity"
                       type="radio" value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>3. In the past month, have you had chest pain when you were not doing physical activity?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_chest_pain_without_physical_activity'] === 'Yes' ? 'checked' : '' }} name="mp_chest_pain_without_physical_activity"
                       type="radio" value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_chest_pain_without_physical_activity'] === 'No' ? 'checked' : '' }} name="mp_chest_pain_without_physical_activity"
                       type="radio" value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>4. Do you lose your balance because of dizziness, or do you ever lose consciousness?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_dizziness'] === 'Yes' ? 'checked' : '' }} name="mp_dizziness" type="radio"
                       value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_dizziness'] === 'No' ? 'checked' : '' }} name="mp_dizziness" type="radio"
                       value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>5. Do you have a bone or joint problem that could be made worse by a change in your physical
            activity?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_bone_joint_problem'] === 'Yes' ? 'checked' : '' }} name="mp_bone_joint_problem"
                       type="radio" value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_bone_joint_problem'] === 'No' ? 'checked' : '' }} name="mp_bone_joint_problem"
                       type="radio" value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>6. Is your doctor currently prescribing drugs (for example, water pills) for your blood pressure or heart
            condition?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_bp_heart_drugs'] === 'Yes' ? 'checked' : '' }} name="mp_bp_heart_drugs"
                       type="radio" value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_bp_heart_drugs'] === 'No' ? 'checked' : '' }} name="mp_bp_heart_drugs"
                       type="radio" value="No" class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <div class="my-3 node node-level-0">
        <label>7. Do you know of any other reason why you should not do physical activity?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_other'] === 'Yes' ? 'checked' : '' }} name="mp_other" type="radio"
                       value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['mp_other'] === 'No' ? 'checked' : '' }} name="mp_other" type="radio" value="No"
                       class="mr-1">
                <span>No</span>
            </label>
        </div>
    </div>

    <hr>

    <p class="font-weight-bold">Physical Activity Plans</p>

    <div class="my-3 node node-level-0">
        <label>Please check the ONE answer that best describes your physical activity plans for the next 6
            months:</label>
        <div class="">
            <label class="d-flex align-items-center mt-0 mb-1 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['pa_plans_next_6_months'] === 'I do not plan to become physically active in the next 6 months' ? 'checked' : '' }}
                       name="pa_plans_next_6_months"
                       type="radio"
                       value="I do not plan to become physically active in the next 6 months" class="mr-1">
                <span>A. I do not plan to become physically active in the next 6 months.</span>
            </label>
            <label class="d-flex align-items-center mt-0 mb-1 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['pa_plans_next_6_months'] === 'I am thinking about becoming more physically active' ? 'checked' : '' }}
                       name="pa_plans_next_6_months"
                       type="radio"
                       value="I am thinking about becoming more physically active" class="mr-1">
                <span>B. I am thinking about becoming more physically active.</span>
            </label>
            <label class="d-flex align-items-center mt-0 mb-1 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['pa_plans_next_6_months'] === 'I intend to become more physically active in the next 6 months' ? 'checked' : '' }}
                       name="pa_plans_next_6_months"
                       type="radio"
                       value="I intend to become more physically active in the next 6 months" class="mr-1">
                <span>C. I intend to become more physically active in the next 6 months.</span>
            </label>
            <label class="d-flex align-items-center mt-0 mb-1 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['pa_plans_next_6_months'] === 'I have been regularly physically active for the last 1–5 months' ? 'checked' : '' }}
                       name="pa_plans_next_6_months"
                       type="radio"
                       value="I have been regularly physically active for the last 1–5 months" class="mr-1">
                <span>D. I have been regularly physically active for the last 1–5 months.</span>
            </label>
            <label class="d-flex align-items-center mt-0 mb-1 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['pa_plans_next_6_months'] === 'I have been regularly physically active for the past 6 months or more' ? 'checked' : '' }}
                       name="pa_plans_next_6_months"
                       type="radio"
                       value="I have been regularly physically active for the past 6 months or more" class="mr-1">
                <span>E. I have been regularly physically active for the past 6 months or more.</span>
            </label>
        </div>
    </div>

    <hr>

    <p class="font-weight-bold">Benefits of Physical Activity Important to You</p>

    <div class="my-3 node node-level-0">
        <label>the 3 <i>benefits</i> of physical activity that are <i>Most Important</i> to You:</label>
        <div class="row">
            <div class="col-6">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_for_my_health'] ? 'checked' : '' }}
                           name="pa_important_for_my_health" onchange="onGemVChange_{{ $formID }}(this)">
                    1. For my health
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_control_my_weight'] ? 'checked' : '' }}
                           name="pa_important_control_my_weight" onchange="onGemVChange_{{ $formID }}(this)">
                    2. Control my weight
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_look_better'] ? 'checked' : '' }}
                           name="pa_important_look_better" onchange="onGemVChange_{{ $formID }}(this)">
                    3. Look better
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_feel_better'] ? 'checked' : '' }}
                           name="pa_important_feel_better" onchange="onGemVChange_{{ $formID }}(this)">
                    4. Feel better
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_feel_good_about_taking_care_of_myself'] ? 'checked' : '' }}
                           name="pa_important_feel_good_about_taking_care_of_myself"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    5. Feel good about taking care of myself
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_set_a_good_example_for_my_family_or_friends'] ? 'checked' : '' }}
                           name="pa_important_set_a_good_example_for_my_family_or_friends"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    6. Set a good example for my family or friends
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_get_my_partner_child_friend_to_be_more_active_with_me'] ? 'checked' : '' }}
                           name="pa_important_get_my_partner_child_friend_to_be_more_active_with_me"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    7. Get my partner, child, friend to be more active with me
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_teach_my_family_friends_the_importance_of_physical_activity'] ? 'checked' : '' }}
                           name="pa_important_teach_my_family_friends_the_importance_of_physical_activity"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    8. Teach my family, friends the importance of physical activity
                </label>
            </div>
            <div class="col-6">
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_have_time_for_me'] ? 'checked' : '' }}
                           name="pa_important_have_time_for_me" onchange="onGemVChange_{{ $formID }}(this)">
                    9. Have time for me
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_lower_my_stress'] ? 'checked' : '' }}
                           name="pa_important_lower_my_stress" onchange="onGemVChange_{{ $formID }}(this)">
                    10. Lower my stress
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_improve_my_fitness'] ? 'checked' : '' }}
                           name="pa_important_improve_my_fitness" onchange="onGemVChange_{{ $formID }}(this)">
                    11. Improve my fitness
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_lower_my_risk_of_heart_disease'] ? 'checked' : '' }}
                           name="pa_important_lower_my_risk_of_heart_disease"
                           onchange="onGemVChange_{{ $formID }}(this)">
                    12. Lower my risk of heart disease
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_lower_my_blood_pressure'] ? 'checked' : '' }}
                           name="pa_important_lower_my_blood_pressure" onchange="onGemVChange_{{ $formID }}(this)">
                    13. Lower my blood pressure
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_lower_my_cholesterol'] ? 'checked' : '' }}
                           name="pa_important_lower_my_cholesterol" onchange="onGemVChange_{{ $formID }}(this)">
                    14. Lower my cholesterol
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_control_my_diabetes'] ? 'checked' : '' }}
                           name="pa_important_control_my_diabetes" onchange="onGemVChange_{{ $formID }}(this)">
                    15. Control my diabetes
                </label>
                <label class="mb-1 d-flex align-items-center">
                    <input type="checkbox" class="mr-2"
                           {{ @$contentData['pa_important_other'] ? 'checked' : '' }}
                           name="pa_important_other" onchange="onGemVChange_{{ $formID }}(this)">
                    <span class="text-nowrap mr-2">16. Other:</span>
                    <input type="text" class="form-control form-control-sm"
                           name="pa_important_other_details"
                           value="{{ @$contentData['pa_important_other_details'] }}">
                </label>
            </div>
        </div>
    </div>

    <hr>

    <p class="font-weight-bold">Getting Help from Others</p>

    <div class="my-3 node node-level-0">
        <label>Is there someone who would encourage you or help you with some of your responsibilities so you could get
            regular
            physical activity?</label>
        <div class="d-flex align-items-center mb-3">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['getting_help_from_others'] === 'Yes' ? 'checked' : '' }} name="getting_help_from_others"
                       type="radio"
                       value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['getting_help_from_others'] === 'No' ? 'checked' : '' }} name="getting_help_from_others"
                       type="radio" value="No"
                       class="mr-1">
                <span>No</span>
            </label>
        </div>
        <div class="d-flex align-items-center mb-3">
            <input type="text" class="form-control form-control-sm mr-2" placeholder="Who is that?"
                   name="getting_help_from_others_who" value="{{ @$contentData['getting_help_from_others_who'] }}">
            <input type="text" class="form-control form-control-sm" placeholder="How could they help?"
                   name="getting_help_from_others_how" value="{{ @$contentData['getting_help_from_others_how'] }}">
        </div>
    </div>

    <p class="font-weight-bold">Helping Others</p>

    <div class="my-3 node node-level-0">
        <label>Is there a friend or family member you think should get more physical activity?</label>
        <div class="d-flex align-items-center mb-3">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['helping_others'] === 'Yes' ? 'checked' : '' }} name="helping_others"
                       type="radio"
                       value="Yes" class="mr-1">
                <span>Yes</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['helping_others'] === 'No' ? 'checked' : '' }} name="helping_others"
                       type="radio" value="No"
                       class="mr-1">
                <span>No</span>
            </label>
        </div>
        <div class="d-flex align-items-center mb-3">
            <input type="text" class="form-control form-control-sm mr-2" placeholder="Who is that?"
                   name="helping_others_who" value="{{ @$contentData['helping_others_who'] }}">
            <input type="text" class="form-control form-control-sm" placeholder="How could you help them?"
                   name="helping_others_how" value="{{ @$contentData['helping_others_how'] }}">
        </div>
    </div>

    <p class="font-weight-bold">Confidence</p>

    <div class="my-3 node node-level-0">
        <label>How confident are you that you could increase your physical activity if you decided to do so?</label>
        <div class="d-flex align-items-center">
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['confidence'] === 'Very Confident' ? 'checked' : '' }} name="confidence"
                       type="radio"
                       value="Very Confident" class="mr-1">
                <span>Very Confident</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['confidence'] === 'Fairly Confident' ? 'checked' : '' }} name="confidence"
                       type="radio"
                       value="Fairly Confident"
                       class="mr-1">
                <span>Fairly Confident</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['confidence'] === 'A Little Confident' ? 'checked' : '' }} name="confidence"
                       type="radio"
                       value="A Little Confident" class="mr-1">
                <span>A Little Confident</span>
            </label>
            <label class="d-inline-flex align-items-center my-0 mr-3">
                <input onchange="onGemVChange_{{ $formID }}(this)"
                       {{ @$contentData['confidence'] === 'Not at all Confident' ? 'checked' : '' }} name="confidence"
                       type="radio"
                       value="Not at all Confident"
                       class="mr-1">
                <span>Not at all Confident</span>
            </label>
        </div>
    </div>
</form>
<script>
    function onGemVChange_{{ $formID }}(_field) {
        let name = _field.name, span = $('span[field="' + _field.name + '"]');
        if (span.length) {
            span.text(_field.value);
        } else {
            name = _field.name.replace('[]', '');
            span = $('span[field="' + name + '"]');
            if (span.length) {
                let value = [];
                $('[name="' + _field.name + '"]').each(function () {
                    if (this.checked) value.push(this.value);
                });
                span.text(value.join(', '));
            }
        }

        // submit here
        let form = $(_field).closest('form');
        $.post(form[0].action, form.serialize(), function (_data) {
            console.log('Submitted!');
        });
    }
</script>
