{{--
<div class="position-relative d-none if-edit ml-3 pl-3 border-left">
    <a href="#" onclick="$(this).siblings('.embed-section, .embed-mask').removeClass('d-none'); return false;">Include from Symptoms</a>
    <div class="embed-section min-width-300px bg-white position-absolute d-none current-symptoms-form">
        <div>
            @include('app/patient/partials/dx', ['selectable' => true])
        </div>
        <div class="m-2">
            <form url="/no-op">
                <button class="btn btn-primary btn-sm mr-1" type="button" onclick="return applySelectedDx()">Apply</button>
                <button class="btn btn-default border btn-sm" type="button" onclick="return cancelDxPopup()">Cancel</button>
            </form>
        </div>
    </div>
</div>

<script>
    function applySelectedDx() {
        let html = [];
        $('.dx-item-checkbox:checked').each(function() {
            html.push('<p style="white-space: normal;">' + $.trim($(this).closest('.dx-item').find('.content-html').first().html()) + '</p>');
        });
        $('.embed-section, .embed-mask').addClass('d-none');
        $('.ql-editor[contenteditable]:visible').first().html(html.join('')).focus();
        return false;
    }
    function cancelDxPopup() {
        $('.embed-section, .embed-mask').addClass('d-none');
        hideMask();
        hideMoeFormMask();
        $('.ql-editor[contenteditable]:visible').first().focus();
        return false;
    }
</script>

--}}
<div class="d-none if-edit pb-2">
    <div class="d-flex align-items-center">
        <span class="mx-2 text-secondary">|</span>
        <div moe wide>
            <a start show class="">Add</a>
            <form url="/api/clientInfoLine/create">
                <p class="text-left mb-1"><b>Note: This will add this entry to the patient's main Dx list</b></p>
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="1">
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >ICD</label>
                    <input type="text" class="form-control form-control-sm" name="ICD" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Title</label>
                    <input type="text" class="form-control form-control-sm" name="contentText" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Chronic or Acute (select one)</label>
                    <select name="Chronic or Acute" class="form-control form-control-sm pl-1">
                        <option value="Chronic">Chronic</option>
                        <option value="Acute">Acute</option>
                    </select>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Prognosis</label>
                    <input type="text" class="form-control form-control-sm" name="Prognosis" value="">
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >History</label>
                    <textarea type="text" class="form-control form-control-sm" name="History" value="""></textarea>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Treatment Goal</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Goal" value=""></textarea>
                </div>
                <div class="mb-2">
                    <label for="" class="control-label text-sm  mb-1" >Treatment Plan</label>
                    <textarea type="text" class="form-control form-control-sm" name="Treatment Plan" value="" ></textarea>
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" type="button" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" type="button" cancel>Cancel</button>
                </div>
            </form>
        </div>
        <span class="mx-2 text-secondary">|</span>
        <div moe>
            <a start show class="">Multi</a>
            <form url="/api/clientInfoLine/createMultiple">
                <p class="text-left mb-1"><b>Note: This will add these to the patient's main Dx list</b></p>
                <input type="hidden" name="clientUid" value="{{ $patient->uid }}">
                <input type="hidden" name="category" value="dx">
                <input type="hidden" name="IsCurrent" value="1">
                <div class="mb-2">
                    <textarea class="form-control form-control-sm" rows="8" name="contentTexts" value="" placeholder="Dx & Focus Areas *" required></textarea>
                </div>
                <div class="d-flex align-items-center">
                    <button class="btn btn-sm btn-primary mr-2" submit>Save</button>
                    <button class="btn btn-sm btn-default mr-2 border" cancel>Cancel</button>
                </div>
            </form>
        </div>
    </div>
</div>
